.main-footer {
    padding: 80px 0 120px 0;
    background-color: var(--midNight-0);
    display: flex;
    justify-content: center;
}

.footer-container {
    max-width: 1200px;
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 48px;
}

.footer-top {
    display: flex;
    justify-content: space-between;
    gap: 32px;
    align-items: start;
}

.footer-top h2 {
    font-weight: 700;
    color: var(--midNight-900);
    line-height: 1.1;
}

.footer-actions {
    display: flex;
    align-items: center;
    gap: 16px;
}

.footer-call-btn {
    background-color: var(--midNight-800);
    color: var(--midNight-0);
    padding: 0 24px;
    border-radius: 99px;
    display: flex;
    align-items: center;
    gap: 16px;
    font-weight: 600;
    font-size: var(--font-size-principal-btn);
    white-space: nowrap;
    width: fit-content;
    height: 56px;
    transition: transform 0.3s ease, background-color 0.3s ease;
}

.footer-call-btn:hover {
    background-color: var(--midNight-900);
    transform: translateY(-2px);
}

.footer-call-btn:active {
    transform: scale(0.98);
}



.footer-call-btn:hover .footer-icon-circle i {
    animation: ring 1.2s ease-in-out infinite;
}

@keyframes ring {
    0% {
        transform: rotate(0);
    }

    15% {
        transform: rotate(15deg);
    }

    30% {
        transform: rotate(-10deg);
    }

    45% {
        transform: rotate(15deg);
    }

    60% {
        transform: rotate(-10deg);
    }

    75% {
        transform: rotate(0);
    }

    100% {
        transform: rotate(0);
    }
}

.footer-icon-circle {
    width: 40px;
    height: 40px;
    min-width: 40px;
    min-height: 40px;
    flex-shrink: 0;
    background-color: #FFFFFF;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.footer-icon-circle i {
    font-size: 20px;
    color: var(--midNight-800);
}

.footer-divider {
    border: none;
    height: 1px;
    background-color: var(--midNight-100);
    opacity: 0.3;
    width: 100%;
}

.footer-bottom {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 14px;
    color: var(--midNight-400);
}

.footer-social {
    display: flex;
    gap: 16px;
}

.footer-social a {
    font-size: 24px;
    color: var(--midNight-700);
    transition: color 0.3s ease;
}

.footer-social a:hover {
    color: var(--deepSaffron-500);
}

.footer-links a {
    color: var(--midNight-400);
    font-weight: 400;
}

.footer-links a:hover {
    text-decoration: underline;
}

@media (max-width: 900px) {
    .footer-top {
        flex-direction: column;
        align-items: flex-start;
        gap: 32px;
    }

    .footer-bottom {
        flex-direction: column;
        gap: 24px;
        text-align: center;
    }
}

@media (max-width: 768px) {
    .footer-call-btn {
        font-size: 16px;
        padding: 6px 6px 6px 18px;
        gap: 12px;
    }
}

@media (max-width: 600px) {
    .footer-actions {
        flex-direction: column;
        align-items: flex-start;
        width: 100%;
        gap: 12px;
    }

    .footer-call-btn,
    .main-footer .secondary-button {
        width: 100%;
        justify-content: center;
        gap: 12px;
        font-size: 14px;
        padding: 0 20px;
        height: 56px;
    }

    .footer-icon-circle {
        width: 36px;
        height: 36px;
        min-width: 36px;
        min-height: 36px;
    }
}